<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 4) {
    $pagetitle = "4oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">

      <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="4oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
    <?php
    echo'<h1> <p align="center">Κινήσεις</p></h1>';
    $display = 2;
    require_once ('../../mysqli_connect.php');
    if (isset($_GET['p']) && is_numeric($_GET['p'])) {
        $pages = $_GET['p'];
    } else {
        $q = "select count(aa) from odhghsh";
        $r = mysqli_query($dbc, $q);
        $row = @mysqli_fetch_array($r, MYSQLI_NUM);
        $records = $row[0];
        if ($records > $display) {
            $pages = ceil($records / $display);
        } else {
            $pages = 1;
        }
    }
    if (isset($_GET['st']) && is_numeric($_GET['st'])) {
        $start = $_GET['st'];
    } else {
        $start = 0;
    }
    $sort = (isset($_GET['sort'])) ? $_GET['sort'] : 'rd';
    switch ($sort) {
        case 'aa':
            $order_by = 'aa ASC';
            break;
        case 'aar':
            $order_by = 'aa DESC';
            break;
        case 'onoma':
            $order_by = 'onoma ASC';
            break;
        case 'onomar':
            $order_by = 'onoma DESC';
            break;
        case 'sin':
            $order_by = 'sinodigos ASC';
            break;
        case 'sinr':
            $order_by = 'sinodigos DESC';
            break;
        case 'pin':
            $order_by = 'pinakida ASC';
            break;
        case 'pinr':
            $order_by = 'pinakida DESC';
            break;
        case 'date':
            $order_by = 'date ASC';
            break;
        case 'dater':
            $order_by = 'date DESC';
            break;
        default:
            $order_by = 'aa ASC';
            $sort = 'aa';
            break;
    }

    $q = "select * from odhghsh order by $order_by limit $start,$display";
    $r = mysqli_query($dbc, $q);
    $q1 = "select * from odhghsh";
    $r1 = mysqli_query($dbc, $q1);

    if ($r) {
        $num = mysqli_num_rows($r1);
        if ($num > 0) {
            $sort_aa = ($sort == 'aa') ? 'aar' : 'aa';
            $sort_onoma = ($sort == 'onoma') ? 'onomar' : 'onoma';
            $sort_sin = ($sort == 'sin') ? 'sinr' : 'sin';
            $sort_pin = ($sort == 'pin') ? 'pinr' : 'pin';
            $sort_date = ($sort == 'date') ? 'dater' : 'date';

            echo 'Έχουν καταχωρηθεί ' . $num . ' κινήσεις μέχρι στιγμής!
  <br/>
  <br/>
<table align="center" cellspacing="3" cellpadding="3" width="100%">
<tr>
     
      <td align="center"><h3><b><a href="kiniseis.php?sort=' . $sort_aa . '">A/A</a></b></h3></td>
      <td align="center"><h3><b><a href="kiniseis.php?sort=' . $sort_onoma . '">Ονοματεπώνυμο Οδηγού</a></b></h3></td>
      <td align="center"><h3><b><a href="kiniseis.php?sort=' . $sort_sin . '">Ονοματεπώνυμο Συνοδηγού</a></b></h3></td>
      <td align="center"><h3><b><a href="kiniseis.php?sort=' . $sort_pin . '">Αριθμός Πινακίδας Οχήματος</a></b></h3></td>
      <td align="center"><h3><b><a href="kiniseis.php?sort=' . $sort_date . '">Ημερομηνία Κίνησης</a></b></h3></td>
      <td align="center"><h3><b>Σκοπός της κίνησης</b></h3></td>
</tr>
';
            $bg = '#eeeeee';
            while ($row = mysqli_fetch_array($r, MYSQLI_BOTH)) {
                $bg = ($bg == '#eeeeee' ? '#ffffff' : '#eeeeee');

                echo '
     <tr bgcolor="' . $bg . '">
           
            <td align="center">' . $row[1] . '</td>
            <td align="center">' . $row[0] . '</td>
            <td align="center">' . $row[5] . '</td>
            <td align="center">' . $row[2] . '</td>
            <td align="center">' . $row[3] . '</td>
            <td align="center">' . $row[4] . '</td>
                

     </tr>          
   
';
            }

            echo '</table> ';
            mysqli_free_result($r);
        } else {
            echo '<p class="error">Δεν υπάρχουν καταχωρημένες κινήσεις προς το παρών!</p>';
        }
        mysqli_close($dbc);
        if ($pages > 1) {
            echo'<br/><p>';
            $current_page = ($start / $display) + 1;
            if ($current_page != 1) {
                echo '<a href="kiniseis.php?st=' . ($start - $display) . '&p=' . $pages . '&sort=' . $sort . '">Προηγούμενη&nbsp</a>';
            }
            for ($i = 1; $i <= $pages; $i++) {
                if ($i != $current_page) {
                    echo '<a href="kiniseis.php?st=' . (($display * ($i - 1))) . '&p=' . $pages . '&sort=' . $sort . '">' . $i . '&nbsp</a>';
                } else {
                    echo ' ' . $i . ' ';
                }
            }
            if ($current_page != $pages) {
                echo '<a href="kiniseis.php?st=' . ($start + $display) . '&p=' . $pages . '&sort=' . $sort . '">&nbspΕπόμενη</a>';
            }
            echo '</p>';
        }
      
    } else {
        echo '<h1>Πρόβλημα Συστήματος<h1>
<p class="error"> Δεν μπορείτε να δείτε τον κατάλογο με τις κινήσεις λόγω κάποιου τεχνικού προβλήματος.</p>';
        echo '<p>' . mysqli_error($dbc) . '<br/><br/>Query:' . $q . '</p>';
        mysqli_close($dbc);
    }
    ?>  


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>